Luxrender and ProRender conflict

Use this forum for general user support and related questions.
Post Reply
Rimmer
Posts: 3
Joined: Thu Nov 21, 2019 7:48 pm

Luxrender and ProRender conflict

Post by Rimmer » Thu Nov 21, 2019 8:58 pm

Hi friends.

I have noticed there is conflict in Blender 2.80 between ProRender and Luxrender. I cant install both, it is one or another. If I have Prorender installed and I want to install Luxrender 2.2 (install was ok) and enable it, there is python error. It was same with Blender 2.79. I had Luxrender installed, but I could not install ProRender and I didn't know why. Did anybody experience similar problem. It would be nice to have them both. ProRender is nice because of material library, but very slow. Luxrender is very good in lighting and can handle cyles materials. That is perfect for me. Luxrender will stay on my machine... that is for sure. By the way Blender 2.81 (new realise just installed) and Luxrender working perfect... wuhuuuu! :D :D :D :D

User avatar
Dade
Developer
Posts: 3421
Joined: Mon Dec 04, 2017 8:36 pm
Location: Italy

Re: Luxrender and ProRender conflict

Post by Dade » Thu Nov 21, 2019 9:57 pm

Rimmer wrote:
Thu Nov 21, 2019 8:58 pm
I have noticed there is conflict in Blender 2.80 between ProRender and Luxrender. I cant install both, it is one or another. If I have Prorender installed and I want to install Luxrender 2.2 (install was ok) and enable it, there is python error.
You have to post a screenshot of the python error otherwise is hard to make a guess. It may be some kind of DLL conflict.
Support LuxCoreRender project with salts and bounties

Rimmer
Posts: 3
Joined: Thu Nov 21, 2019 7:48 pm

Re: Luxrender and ProRender conflict

Post by Rimmer » Thu Nov 21, 2019 11:02 pm

Hi Dade, thank you for your reply.

In Blender 2.79 Luxcore was installed. I was trying to install ProRender 1.7.212. and installation just stop responding during registration window but no error (just infinite loading cursor circle). Only thing I could do was manual shut down through windows task manager. Hardware check was ok. I have posted on ProRender forum. Some people reported same issue. Didn't know what was cosing problem. In new version Blender 2.80 there was no Luxcore plugin in that time, but new version of ProRender came out so I try to install it and there was no problem. It was working ok. After realise of Luxcore plugin 2.1 I was trying to install it and it was same problem as many people reporting in installation issues Faq (Could not import pyluxcore ImportError: DLL load failed). Additional software like visual c++ was installed and graphic driver was up to date driver as recommended. LuxMark was working fine.
Same with version 2.2. I didn't know what was problem. Sorry I didn't report and I didn't make screen shot. I think that current version of ProRender doesn't work with new Blender 2.81 so I will wait. I am super happy with working version of LuxRender 2.2, and I prefer Luxrender over ProRender. If it ain't broke, don't fix it :geek:

Rimmer
Posts: 3
Joined: Thu Nov 21, 2019 7:48 pm

Re: Luxrender and ProRender conflict

Post by Rimmer » Thu Nov 21, 2019 11:07 pm

*In Blender 2.79 Luxrender was installed. Sorry my bad :?

Post Reply